Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.constructionheuristic
Class ConstructionHeuristicSolverPhaseConfig

    java.lang.Object
      org.drools.planner.config.phase.SolverPhaseConfig
          org.drools.planner.config.constructionheuristic.ConstructionHeuristicSolverPhaseConfig

    public class ConstructionHeuristicSolverPhaseConfig

extends SolverPhaseConfig

Nested Class Summary
`static class` | `ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType`

Field Summary
`protected ConstructionHeuristicPickEarlyType` | `constructionHeuristicPickEarlyType`
`protected ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType` | `constructionHeuristicType`

Constructor Summary
`ConstructionHeuristicSolverPhaseConfig()`

Method Summary
`GreedyFitSolverPhase` | `buildSolverPhase(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, ScoreDefinition scoreDefinition, Termination solverTermination)`
`ConstructionHeuristicPickEarlyType` | `getConstructionHeuristicPickEarlyType()`
`ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType` | `getConstructionHeuristicType()`
`void` | `inherit(ConstructionHeuristicSolverPhaseConfig inheritedConfig)`
`void` | `setConstructionHeuristicPickEarlyType(ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType)`
`void` | `setConstructionHeuristicType(ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType constructionHeuristicType)`

Methods inherited from class org.drools.planner.config.phase.SolverPhaseConfig
`configureSolverPhase, getTerminationConfig, inherit, setTerminationConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### constructionHeuristicType

    protected ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType constructionHeuristicType

### constructionHeuristicPickEarlyType

    protected ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType

Constructor Detail

### ConstructionHeuristicSolverPhaseConfig

    public ConstructionHeuristicSolverPhaseConfig()

Method Detail

### getConstructionHeuristicType

    public ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType getConstructionHeuristicType()

### setConstructionHeuristicType

    public void setConstructionHeuristicType(ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType constructionHeuristicType)

### getConstructionHeuristicPickEarlyType

    public ConstructionHeuristicPickEarlyType getConstructionHeuristicPickEarlyType()

### setConstructionHeuristicPickEarlyType

    public void setConstructionHeuristicPickEarlyType(ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType)

### buildSolverPhase

    public GreedyFitSolverPhase buildSolverPhase(EnvironmentMode environmentMode,
                                                 SolutionDescriptor solutionDescriptor,
                                                 ScoreDefinition scoreDefinition,
                                                 Termination solverTermination)

  Specified by:
    `buildSolverPhase` in class `SolverPhaseConfig`

### inherit

    public void inherit(ConstructionHeuristicSolverPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.